matrix proj : CSMProjectionMatrix;

void defaultVS ( float4 pos : POSITION, out float4 outPos : SV_POSITION )
{

	outPos = mul( pos, proj );
}

void defaultPS ( in float4 transformed : SV_POSITION, out float depth : SV_Target0 )
{

	depth = transformed.z;
}

technique10 CascadedShadowMaps
{

	pass P0
    {
        SetVertexShader( CompileShader( vs_4_0, defaultVS() ) );
        SetGeometryShader( NULL );
        SetPixelShader( CompileShader( ps_4_0, defaultPS() ) );
    }
}